/* Placed in public domain by Mario Grosso, 2004 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <errno.h>
#include <time.h>
#include <sys/time.h>
#include <unistd.h>
#include <sys/soundcard.h>
#include <sys/ioctl.h>

#define VERSION "ienclock v1.0\n"
#define SAMPLERATE 8000
#define PULSE_OFF 2000.0
#define PULSE_ON 2500.0
#define DRIFT_FREQ 0.0
#define SAMPLES 512
#define STEP 240
#define NUMBUFFER 3
#define PI 3.14159265358979323844
#define FLOATING        float
#define SEGMENT 48
#define ZERO_VALUE 0x30
#define ONE_VALUE  0x31
#define FALSE 0
#define TRUE  1
#define CEST 3600
#define DAY1970 2440588
#define PARITY_CHECK 4
#define INVALID_VALUE 2
#define DIFF_CHECK 6
#define PEAKLEVEL 2500.0
#define max(x,y) ((x > y) ? x : y)
#define min(x,y) ((x < y) ? x : y)

typedef struct {
  float coeff;
  float Q1;
  float Q2;
  float sine;
  float cosine;
} GCONSTANT;


typedef struct {
  FILE *fp;
  unsigned char * buf;
  int  bufferread;
  int  unproc;
  int blksize;
  int format;
  int channels;
  int speed;
} DSPCB;


